Jump to content


Photo

Audiostar Update error

  • Please log in to reply
9 replies to this topic

#1 chemman

chemman

    Lift Off

  • -----
  • Posts: 14
  • Joined: 21 Jun 2011
  • Loc: Colorado

Posted 23 October 2012 - 04:52 PM

So last thursday I recieved the new LX80. I have used it a couple of times with my Meade 2080. In Polar mode it worked nicely tracking Jupiter for 2+ hours at about 150X dead center. The following night I used Alt/AZ mode for some terrestrial viewing and into the night. After a 2 star alignment I discovered it to be someplace on the planet besides where I was so the tracking was off, not bad just off. I did not bother to get the location and time straightend out that night just slewed and observed. Thing worked fine for me, although I did note some play in RA that I will be working on in the near future.

The reason for the thread is after installing the Autostar 5 software on my Windows 7 machine and connecting to the rs232 on the Audiostar handbox I had some trouble getting the software to find the HBX. Finally realized that the com port needs to be com 8 or less. Now the problem is the Autostar update software crashes from the menu selection in the Autostar Suite and when ran straight from the Windows Start menu. It displays 2 error screens then upon clicking OK closes the ASU program. I know that the HBX is firmware ver A3S2 and the new version is A3S4 and I would like to update the HBX. Does anyone know how to fix the ASU/Windows 7 crashing problem?

Ps. I just talked with Carlos at Meade about 20 minutes ago. He indicated he would get back after he had some time to research the problem.

#2 chemman

chemman

    Lift Off

  • -----
  • Posts: 14
  • Joined: 21 Jun 2011
  • Loc: Colorado

Posted 24 October 2012 - 12:03 PM

So last night I uninstalled all the Autostar software and all the instances of .NET from the Control Panel and removed all cases of such from the registry. Reinstalled the Autostar and still get the same error message. I also ran it from my laptop running Vista and still recieved the same error message:

AU2: An invalid argument was encountered.

Runtime Error! Program: C:\Program...2\Meade\Autostar Updater\ASU2.exe
This application has requeste the runtime to terminate in an unusual way.
Please contact the application's support team for more information.

Still at a loss.

#3 OzAndrewJ

OzAndrewJ

    Viking 1

  • *****
  • Posts: 975
  • Joined: 30 Nov 2010

Posted 24 October 2012 - 03:04 PM

Gday ChemMan

Several people have mentioned this "effect" on Win7,
but i have never heard of a guaranteed reason why ( or a fix. )
I suggest trying StarPatch instead
http://www.stargps.ca/downloads.htm
It is far more robust and faster than Meades ASU,
and allows application of patches dynamically if required.

Andrew

#4 chemman

chemman

    Lift Off

  • -----
  • Posts: 14
  • Joined: 21 Jun 2011
  • Loc: Colorado

Posted 24 October 2012 - 08:49 PM

Andrew, I had given StarPatch some thought but have not found where to download the new firmware. Up till yesterday I thought it was either a .NET 4 problem and/or a Windows 7 problem but when my Vista laptop did the exact same thing I am now confused about where to go next. Of course I am having to use a USB to RS232 dongle but have two different types and neither one acts any different. If you could help me locate the A3S4 firmware I will do the upgrade Using StarPatch. I am an IT/Communications/Instrumentation professional so I am far from giving up.

Just to let you and everyone know I am quite happy with the LX80. It does have a couple issues but for just under $800 it is a good mount for my mixed use I will be using it for. I was quite impressed when it was dead center on Jupiter for 3 or more hours at 150+ magnification.

#5 OzAndrewJ

OzAndrewJ

    Viking 1

  • *****
  • Posts: 975
  • Joined: 30 Nov 2010

Posted 24 October 2012 - 09:41 PM

Gday Chemman

The firmware is on the Starpatch site, but is currently on a "by request" only release as i am still working on the full patches. ie what he has currently is only tied into the full integration of his StarGPS module to the Audiostar Hbx, hence is only available for purchasers of his GPS lump.
The full patches etc will be out in about a week,
at which time it should go up for general use.
Till then, you can grab the correct rom file from
http://meade.com/sup...o/BuildEPAS.rom
You will need to rename it as
BuildAU_A3S4.rom for StarPatch to play with it.

Andrew

#6 chemman

chemman

    Lift Off

  • -----
  • Posts: 14
  • Joined: 21 Jun 2011
  • Loc: Colorado

Posted 24 October 2012 - 10:53 PM

Andrew, I have the A3S4 in the LX80 now. Thanks. I will continue to try to figure out why the ASU is giving that batch of error messages. Another question for you, can you tell me which build on the site is the old the S2 firmware?

#7 OzAndrewJ

OzAndrewJ

    Viking 1

  • *****
  • Posts: 975
  • Joined: 30 Nov 2010

Posted 24 October 2012 - 11:08 PM

Gday Chemman

The old A3S2 rom appears to have been deleted from their site
( as its superceded, right :-) ). Copies are available from several sources if reqd, but it is as buggy as A3S4 and was never patched past a few simple fixes, so is probably not worth going back to.
I can supply a copy if its really necessary.

Andrew

#8 ozgurcengiz

ozgurcengiz

    Lift Off

  • -----
  • Posts: 2
  • Joined: 10 Jul 2013

Posted 11 July 2013 - 03:58 AM

hi Oz,

Recently, I bought a lx80 mount. I use 8" Lx75 ACF OTA. I upgraded current A3S2 firmware to A3S4. But PHD guide stopped communication with Lx80. I searched web and i couldnt find A3S2 firmaware. There is always A2S4... So, I'll be glad, if you can send me or tell me where i can find AudioStar A3S2 firmware... Thanks...

#9 OzAndrewJ

OzAndrewJ

    Viking 1

  • *****
  • Posts: 975
  • Joined: 30 Nov 2010

Posted 11 July 2013 - 06:13 AM

Gday Oz

Im intrigued that PHD no longer works ( appears to work ?? )
I assume you are in GEM mode???
If so, the actual guiding code between S2 and S4 didnt appear to change,
just the tracking and PEC, so i am surprised it doesnt work.
Do you get errors or just no response???
( Or are the problems in DEC ??? If so, turn PEC ON and try again,
as there is a bad bug in A3S4 related to DEC guiding when polar
if you try to do DEC guides before RA guides )

Will dig out a copy of S2 tomorrow my time, but not sure if it will help.

Andrew Johansen Melbourne Australia

#10 ozgurcengiz

ozgurcengiz

    Lift Off

  • -----
  • Posts: 2
  • Joined: 10 Jul 2013

Posted 12 July 2013 - 08:54 AM

Hi again OZ,

as you mentioned, I'm in GEM mode. I didn't get any error messages. I was using PHD before upgrading. I wonder why its not working now? Cable and other connection elements are operational. I've checked them. Neither PEC on nor off doesnt seem make any difference... Should I turn off DEC guiding for test? btw, I'm using unpatched version of firmware (A3S4)






Cloudy Nights LLC
Cloudy Nights Sponsor: Astronomics